Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network89.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
89.0.0.0
Broadcast address
89.127.255.255
First usable
89.0.0.1
Last usable
89.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 59000000 · Integer 1493172224 to 1501560831
Reverse DNS zones
0.89.in-addr.arpa
1.89.in-addr.arpa
2.89.in-addr.arpa
3.89.in-addr.arpa
4.89.in-addr.arpa
5.89.in-addr.arpa
6.89.in-addr.arpa
7.89.in-addr.arpa
8.89.in-addr.arpa
9.89.in-addr.arpa
10.89.in-addr.arpa
11.89.in-addr.arpa
12.89.in-addr.arpa
13.89.in-addr.arpa
14.89.in-addr.arpa
15.89.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011001.00000000.00000000.0000000089.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01011001.00000000.00000000.0000000089.0.0.0
Broadcast01011001.01111111.11111111.1111111189.127.255.255
Split into smaller subnets/18

89.0.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
189.0.0.0/1889.0.0.1 to 89.0.63.25489.0.63.25516,382
289.0.64.0/1889.0.64.1 to 89.0.127.25489.0.127.25516,382
389.0.128.0/1889.0.128.1 to 89.0.191.25489.0.191.25516,382
489.0.192.0/1889.0.192.1 to 89.0.255.25489.0.255.25516,382
589.1.0.0/1889.1.0.1 to 89.1.63.25489.1.63.25516,382
689.1.64.0/1889.1.64.1 to 89.1.127.25489.1.127.25516,382
789.1.128.0/1889.1.128.1 to 89.1.191.25489.1.191.25516,382
889.1.192.0/1889.1.192.1 to 89.1.255.25489.1.255.25516,382
989.2.0.0/1889.2.0.1 to 89.2.63.25489.2.63.25516,382
1089.2.64.0/1889.2.64.1 to 89.2.127.25489.2.127.25516,382
1189.2.128.0/1889.2.128.1 to 89.2.191.25489.2.191.25516,382
1289.2.192.0/1889.2.192.1 to 89.2.255.25489.2.255.25516,382
1389.3.0.0/1889.3.0.1 to 89.3.63.25489.3.63.25516,382
1489.3.64.0/1889.3.64.1 to 89.3.127.25489.3.127.25516,382
1589.3.128.0/1889.3.128.1 to 89.3.191.25489.3.191.25516,382
1689.3.192.0/1889.3.192.1 to 89.3.255.25489.3.255.25516,382
1789.4.0.0/1889.4.0.1 to 89.4.63.25489.4.63.25516,382
1889.4.64.0/1889.4.64.1 to 89.4.127.25489.4.127.25516,382
1989.4.128.0/1889.4.128.1 to 89.4.191.25489.4.191.25516,382
2089.4.192.0/1889.4.192.1 to 89.4.255.25489.4.255.25516,382
2189.5.0.0/1889.5.0.1 to 89.5.63.25489.5.63.25516,382
2289.5.64.0/1889.5.64.1 to 89.5.127.25489.5.127.25516,382
2389.5.128.0/1889.5.128.1 to 89.5.191.25489.5.191.25516,382
2489.5.192.0/1889.5.192.1 to 89.5.255.25489.5.255.25516,382
2589.6.0.0/1889.6.0.1 to 89.6.63.25489.6.63.25516,382
2689.6.64.0/1889.6.64.1 to 89.6.127.25489.6.127.25516,382
2789.6.128.0/1889.6.128.1 to 89.6.191.25489.6.191.25516,382
2889.6.192.0/1889.6.192.1 to 89.6.255.25489.6.255.25516,382
2989.7.0.0/1889.7.0.1 to 89.7.63.25489.7.63.25516,382
3089.7.64.0/1889.7.64.1 to 89.7.127.25489.7.127.25516,382
3189.7.128.0/1889.7.128.1 to 89.7.191.25489.7.191.25516,382
3289.7.192.0/1889.7.192.1 to 89.7.255.25489.7.255.25516,382
3389.8.0.0/1889.8.0.1 to 89.8.63.25489.8.63.25516,382
3489.8.64.0/1889.8.64.1 to 89.8.127.25489.8.127.25516,382
3589.8.128.0/1889.8.128.1 to 89.8.191.25489.8.191.25516,382
3689.8.192.0/1889.8.192.1 to 89.8.255.25489.8.255.25516,382
3789.9.0.0/1889.9.0.1 to 89.9.63.25489.9.63.25516,382
3889.9.64.0/1889.9.64.1 to 89.9.127.25489.9.127.25516,382
3989.9.128.0/1889.9.128.1 to 89.9.191.25489.9.191.25516,382
4089.9.192.0/1889.9.192.1 to 89.9.255.25489.9.255.25516,382
4189.10.0.0/1889.10.0.1 to 89.10.63.25489.10.63.25516,382
4289.10.64.0/1889.10.64.1 to 89.10.127.25489.10.127.25516,382
4389.10.128.0/1889.10.128.1 to 89.10.191.25489.10.191.25516,382
4489.10.192.0/1889.10.192.1 to 89.10.255.25489.10.255.25516,382
4589.11.0.0/1889.11.0.1 to 89.11.63.25489.11.63.25516,382
4689.11.64.0/1889.11.64.1 to 89.11.127.25489.11.127.25516,382
4789.11.128.0/1889.11.128.1 to 89.11.191.25489.11.191.25516,382
4889.11.192.0/1889.11.192.1 to 89.11.255.25489.11.255.25516,382
4989.12.0.0/1889.12.0.1 to 89.12.63.25489.12.63.25516,382
5089.12.64.0/1889.12.64.1 to 89.12.127.25489.12.127.25516,382
5189.12.128.0/1889.12.128.1 to 89.12.191.25489.12.191.25516,382
5289.12.192.0/1889.12.192.1 to 89.12.255.25489.12.255.25516,382
5389.13.0.0/1889.13.0.1 to 89.13.63.25489.13.63.25516,382
5489.13.64.0/1889.13.64.1 to 89.13.127.25489.13.127.25516,382
5589.13.128.0/1889.13.128.1 to 89.13.191.25489.13.191.25516,382
5689.13.192.0/1889.13.192.1 to 89.13.255.25489.13.255.25516,382
5789.14.0.0/1889.14.0.1 to 89.14.63.25489.14.63.25516,382
5889.14.64.0/1889.14.64.1 to 89.14.127.25489.14.127.25516,382
5989.14.128.0/1889.14.128.1 to 89.14.191.25489.14.191.25516,382
6089.14.192.0/1889.14.192.1 to 89.14.255.25489.14.255.25516,382
6189.15.0.0/1889.15.0.1 to 89.15.63.25489.15.63.25516,382
6289.15.64.0/1889.15.64.1 to 89.15.127.25489.15.127.25516,382
6389.15.128.0/1889.15.128.1 to 89.15.191.25489.15.191.25516,382
6489.15.192.0/1889.15.192.1 to 89.15.255.25489.15.255.25516,382
6589.16.0.0/1889.16.0.1 to 89.16.63.25489.16.63.25516,382
6689.16.64.0/1889.16.64.1 to 89.16.127.25489.16.127.25516,382
6789.16.128.0/1889.16.128.1 to 89.16.191.25489.16.191.25516,382
6889.16.192.0/1889.16.192.1 to 89.16.255.25489.16.255.25516,382
6989.17.0.0/1889.17.0.1 to 89.17.63.25489.17.63.25516,382
7089.17.64.0/1889.17.64.1 to 89.17.127.25489.17.127.25516,382
7189.17.128.0/1889.17.128.1 to 89.17.191.25489.17.191.25516,382
7289.17.192.0/1889.17.192.1 to 89.17.255.25489.17.255.25516,382
7389.18.0.0/1889.18.0.1 to 89.18.63.25489.18.63.25516,382
7489.18.64.0/1889.18.64.1 to 89.18.127.25489.18.127.25516,382
7589.18.128.0/1889.18.128.1 to 89.18.191.25489.18.191.25516,382
7689.18.192.0/1889.18.192.1 to 89.18.255.25489.18.255.25516,382
7789.19.0.0/1889.19.0.1 to 89.19.63.25489.19.63.25516,382
7889.19.64.0/1889.19.64.1 to 89.19.127.25489.19.127.25516,382
7989.19.128.0/1889.19.128.1 to 89.19.191.25489.19.191.25516,382
8089.19.192.0/1889.19.192.1 to 89.19.255.25489.19.255.25516,382
8189.20.0.0/1889.20.0.1 to 89.20.63.25489.20.63.25516,382
8289.20.64.0/1889.20.64.1 to 89.20.127.25489.20.127.25516,382
8389.20.128.0/1889.20.128.1 to 89.20.191.25489.20.191.25516,382
8489.20.192.0/1889.20.192.1 to 89.20.255.25489.20.255.25516,382
8589.21.0.0/1889.21.0.1 to 89.21.63.25489.21.63.25516,382
8689.21.64.0/1889.21.64.1 to 89.21.127.25489.21.127.25516,382
8789.21.128.0/1889.21.128.1 to 89.21.191.25489.21.191.25516,382
8889.21.192.0/1889.21.192.1 to 89.21.255.25489.21.255.25516,382
8989.22.0.0/1889.22.0.1 to 89.22.63.25489.22.63.25516,382
9089.22.64.0/1889.22.64.1 to 89.22.127.25489.22.127.25516,382
9189.22.128.0/1889.22.128.1 to 89.22.191.25489.22.191.25516,382
9289.22.192.0/1889.22.192.1 to 89.22.255.25489.22.255.25516,382
9389.23.0.0/1889.23.0.1 to 89.23.63.25489.23.63.25516,382
9489.23.64.0/1889.23.64.1 to 89.23.127.25489.23.127.25516,382
9589.23.128.0/1889.23.128.1 to 89.23.191.25489.23.191.25516,382
9689.23.192.0/1889.23.192.1 to 89.23.255.25489.23.255.25516,382
9789.24.0.0/1889.24.0.1 to 89.24.63.25489.24.63.25516,382
9889.24.64.0/1889.24.64.1 to 89.24.127.25489.24.127.25516,382
9989.24.128.0/1889.24.128.1 to 89.24.191.25489.24.191.25516,382
10089.24.192.0/1889.24.192.1 to 89.24.255.25489.24.255.25516,382
10189.25.0.0/1889.25.0.1 to 89.25.63.25489.25.63.25516,382
10289.25.64.0/1889.25.64.1 to 89.25.127.25489.25.127.25516,382
10389.25.128.0/1889.25.128.1 to 89.25.191.25489.25.191.25516,382
10489.25.192.0/1889.25.192.1 to 89.25.255.25489.25.255.25516,382
10589.26.0.0/1889.26.0.1 to 89.26.63.25489.26.63.25516,382
10689.26.64.0/1889.26.64.1 to 89.26.127.25489.26.127.25516,382
10789.26.128.0/1889.26.128.1 to 89.26.191.25489.26.191.25516,382
10889.26.192.0/1889.26.192.1 to 89.26.255.25489.26.255.25516,382
10989.27.0.0/1889.27.0.1 to 89.27.63.25489.27.63.25516,382
11089.27.64.0/1889.27.64.1 to 89.27.127.25489.27.127.25516,382
11189.27.128.0/1889.27.128.1 to 89.27.191.25489.27.191.25516,382
11289.27.192.0/1889.27.192.1 to 89.27.255.25489.27.255.25516,382
11389.28.0.0/1889.28.0.1 to 89.28.63.25489.28.63.25516,382
11489.28.64.0/1889.28.64.1 to 89.28.127.25489.28.127.25516,382
11589.28.128.0/1889.28.128.1 to 89.28.191.25489.28.191.25516,382
11689.28.192.0/1889.28.192.1 to 89.28.255.25489.28.255.25516,382
11789.29.0.0/1889.29.0.1 to 89.29.63.25489.29.63.25516,382
11889.29.64.0/1889.29.64.1 to 89.29.127.25489.29.127.25516,382
11989.29.128.0/1889.29.128.1 to 89.29.191.25489.29.191.25516,382
12089.29.192.0/1889.29.192.1 to 89.29.255.25489.29.255.25516,382
12189.30.0.0/1889.30.0.1 to 89.30.63.25489.30.63.25516,382
12289.30.64.0/1889.30.64.1 to 89.30.127.25489.30.127.25516,382
12389.30.128.0/1889.30.128.1 to 89.30.191.25489.30.191.25516,382
12489.30.192.0/1889.30.192.1 to 89.30.255.25489.30.255.25516,382
12589.31.0.0/1889.31.0.1 to 89.31.63.25489.31.63.25516,382
12689.31.64.0/1889.31.64.1 to 89.31.127.25489.31.127.25516,382
12789.31.128.0/1889.31.128.1 to 89.31.191.25489.31.191.25516,382
12889.31.192.0/1889.31.192.1 to 89.31.255.25489.31.255.25516,382
12989.32.0.0/1889.32.0.1 to 89.32.63.25489.32.63.25516,382
13089.32.64.0/1889.32.64.1 to 89.32.127.25489.32.127.25516,382
13189.32.128.0/1889.32.128.1 to 89.32.191.25489.32.191.25516,382
13289.32.192.0/1889.32.192.1 to 89.32.255.25489.32.255.25516,382
13389.33.0.0/1889.33.0.1 to 89.33.63.25489.33.63.25516,382
13489.33.64.0/1889.33.64.1 to 89.33.127.25489.33.127.25516,382
13589.33.128.0/1889.33.128.1 to 89.33.191.25489.33.191.25516,382
13689.33.192.0/1889.33.192.1 to 89.33.255.25489.33.255.25516,382
13789.34.0.0/1889.34.0.1 to 89.34.63.25489.34.63.25516,382
13889.34.64.0/1889.34.64.1 to 89.34.127.25489.34.127.25516,382
13989.34.128.0/1889.34.128.1 to 89.34.191.25489.34.191.25516,382
14089.34.192.0/1889.34.192.1 to 89.34.255.25489.34.255.25516,382
14189.35.0.0/1889.35.0.1 to 89.35.63.25489.35.63.25516,382
14289.35.64.0/1889.35.64.1 to 89.35.127.25489.35.127.25516,382
14389.35.128.0/1889.35.128.1 to 89.35.191.25489.35.191.25516,382
14489.35.192.0/1889.35.192.1 to 89.35.255.25489.35.255.25516,382
14589.36.0.0/1889.36.0.1 to 89.36.63.25489.36.63.25516,382
14689.36.64.0/1889.36.64.1 to 89.36.127.25489.36.127.25516,382
14789.36.128.0/1889.36.128.1 to 89.36.191.25489.36.191.25516,382
14889.36.192.0/1889.36.192.1 to 89.36.255.25489.36.255.25516,382
14989.37.0.0/1889.37.0.1 to 89.37.63.25489.37.63.25516,382
15089.37.64.0/1889.37.64.1 to 89.37.127.25489.37.127.25516,382
15189.37.128.0/1889.37.128.1 to 89.37.191.25489.37.191.25516,382
15289.37.192.0/1889.37.192.1 to 89.37.255.25489.37.255.25516,382
15389.38.0.0/1889.38.0.1 to 89.38.63.25489.38.63.25516,382
15489.38.64.0/1889.38.64.1 to 89.38.127.25489.38.127.25516,382
15589.38.128.0/1889.38.128.1 to 89.38.191.25489.38.191.25516,382
15689.38.192.0/1889.38.192.1 to 89.38.255.25489.38.255.25516,382
15789.39.0.0/1889.39.0.1 to 89.39.63.25489.39.63.25516,382
15889.39.64.0/1889.39.64.1 to 89.39.127.25489.39.127.25516,382
15989.39.128.0/1889.39.128.1 to 89.39.191.25489.39.191.25516,382
16089.39.192.0/1889.39.192.1 to 89.39.255.25489.39.255.25516,382
16189.40.0.0/1889.40.0.1 to 89.40.63.25489.40.63.25516,382
16289.40.64.0/1889.40.64.1 to 89.40.127.25489.40.127.25516,382
16389.40.128.0/1889.40.128.1 to 89.40.191.25489.40.191.25516,382
16489.40.192.0/1889.40.192.1 to 89.40.255.25489.40.255.25516,382
16589.41.0.0/1889.41.0.1 to 89.41.63.25489.41.63.25516,382
16689.41.64.0/1889.41.64.1 to 89.41.127.25489.41.127.25516,382
16789.41.128.0/1889.41.128.1 to 89.41.191.25489.41.191.25516,382
16889.41.192.0/1889.41.192.1 to 89.41.255.25489.41.255.25516,382
16989.42.0.0/1889.42.0.1 to 89.42.63.25489.42.63.25516,382
17089.42.64.0/1889.42.64.1 to 89.42.127.25489.42.127.25516,382
17189.42.128.0/1889.42.128.1 to 89.42.191.25489.42.191.25516,382
17289.42.192.0/1889.42.192.1 to 89.42.255.25489.42.255.25516,382
17389.43.0.0/1889.43.0.1 to 89.43.63.25489.43.63.25516,382
17489.43.64.0/1889.43.64.1 to 89.43.127.25489.43.127.25516,382
17589.43.128.0/1889.43.128.1 to 89.43.191.25489.43.191.25516,382
17689.43.192.0/1889.43.192.1 to 89.43.255.25489.43.255.25516,382
17789.44.0.0/1889.44.0.1 to 89.44.63.25489.44.63.25516,382
17889.44.64.0/1889.44.64.1 to 89.44.127.25489.44.127.25516,382
17989.44.128.0/1889.44.128.1 to 89.44.191.25489.44.191.25516,382
18089.44.192.0/1889.44.192.1 to 89.44.255.25489.44.255.25516,382
18189.45.0.0/1889.45.0.1 to 89.45.63.25489.45.63.25516,382
18289.45.64.0/1889.45.64.1 to 89.45.127.25489.45.127.25516,382
18389.45.128.0/1889.45.128.1 to 89.45.191.25489.45.191.25516,382
18489.45.192.0/1889.45.192.1 to 89.45.255.25489.45.255.25516,382
18589.46.0.0/1889.46.0.1 to 89.46.63.25489.46.63.25516,382
18689.46.64.0/1889.46.64.1 to 89.46.127.25489.46.127.25516,382
18789.46.128.0/1889.46.128.1 to 89.46.191.25489.46.191.25516,382
18889.46.192.0/1889.46.192.1 to 89.46.255.25489.46.255.25516,382
18989.47.0.0/1889.47.0.1 to 89.47.63.25489.47.63.25516,382
19089.47.64.0/1889.47.64.1 to 89.47.127.25489.47.127.25516,382
19189.47.128.0/1889.47.128.1 to 89.47.191.25489.47.191.25516,382
19289.47.192.0/1889.47.192.1 to 89.47.255.25489.47.255.25516,382
19389.48.0.0/1889.48.0.1 to 89.48.63.25489.48.63.25516,382
19489.48.64.0/1889.48.64.1 to 89.48.127.25489.48.127.25516,382
19589.48.128.0/1889.48.128.1 to 89.48.191.25489.48.191.25516,382
19689.48.192.0/1889.48.192.1 to 89.48.255.25489.48.255.25516,382
19789.49.0.0/1889.49.0.1 to 89.49.63.25489.49.63.25516,382
19889.49.64.0/1889.49.64.1 to 89.49.127.25489.49.127.25516,382
19989.49.128.0/1889.49.128.1 to 89.49.191.25489.49.191.25516,382
20089.49.192.0/1889.49.192.1 to 89.49.255.25489.49.255.25516,382
20189.50.0.0/1889.50.0.1 to 89.50.63.25489.50.63.25516,382
20289.50.64.0/1889.50.64.1 to 89.50.127.25489.50.127.25516,382
20389.50.128.0/1889.50.128.1 to 89.50.191.25489.50.191.25516,382
20489.50.192.0/1889.50.192.1 to 89.50.255.25489.50.255.25516,382
20589.51.0.0/1889.51.0.1 to 89.51.63.25489.51.63.25516,382
20689.51.64.0/1889.51.64.1 to 89.51.127.25489.51.127.25516,382
20789.51.128.0/1889.51.128.1 to 89.51.191.25489.51.191.25516,382
20889.51.192.0/1889.51.192.1 to 89.51.255.25489.51.255.25516,382
20989.52.0.0/1889.52.0.1 to 89.52.63.25489.52.63.25516,382
21089.52.64.0/1889.52.64.1 to 89.52.127.25489.52.127.25516,382
21189.52.128.0/1889.52.128.1 to 89.52.191.25489.52.191.25516,382
21289.52.192.0/1889.52.192.1 to 89.52.255.25489.52.255.25516,382
21389.53.0.0/1889.53.0.1 to 89.53.63.25489.53.63.25516,382
21489.53.64.0/1889.53.64.1 to 89.53.127.25489.53.127.25516,382
21589.53.128.0/1889.53.128.1 to 89.53.191.25489.53.191.25516,382
21689.53.192.0/1889.53.192.1 to 89.53.255.25489.53.255.25516,382
21789.54.0.0/1889.54.0.1 to 89.54.63.25489.54.63.25516,382
21889.54.64.0/1889.54.64.1 to 89.54.127.25489.54.127.25516,382
21989.54.128.0/1889.54.128.1 to 89.54.191.25489.54.191.25516,382
22089.54.192.0/1889.54.192.1 to 89.54.255.25489.54.255.25516,382
22189.55.0.0/1889.55.0.1 to 89.55.63.25489.55.63.25516,382
22289.55.64.0/1889.55.64.1 to 89.55.127.25489.55.127.25516,382
22389.55.128.0/1889.55.128.1 to 89.55.191.25489.55.191.25516,382
22489.55.192.0/1889.55.192.1 to 89.55.255.25489.55.255.25516,382
22589.56.0.0/1889.56.0.1 to 89.56.63.25489.56.63.25516,382
22689.56.64.0/1889.56.64.1 to 89.56.127.25489.56.127.25516,382
22789.56.128.0/1889.56.128.1 to 89.56.191.25489.56.191.25516,382
22889.56.192.0/1889.56.192.1 to 89.56.255.25489.56.255.25516,382
22989.57.0.0/1889.57.0.1 to 89.57.63.25489.57.63.25516,382
23089.57.64.0/1889.57.64.1 to 89.57.127.25489.57.127.25516,382
23189.57.128.0/1889.57.128.1 to 89.57.191.25489.57.191.25516,382
23289.57.192.0/1889.57.192.1 to 89.57.255.25489.57.255.25516,382
23389.58.0.0/1889.58.0.1 to 89.58.63.25489.58.63.25516,382
23489.58.64.0/1889.58.64.1 to 89.58.127.25489.58.127.25516,382
23589.58.128.0/1889.58.128.1 to 89.58.191.25489.58.191.25516,382
23689.58.192.0/1889.58.192.1 to 89.58.255.25489.58.255.25516,382
23789.59.0.0/1889.59.0.1 to 89.59.63.25489.59.63.25516,382
23889.59.64.0/1889.59.64.1 to 89.59.127.25489.59.127.25516,382
23989.59.128.0/1889.59.128.1 to 89.59.191.25489.59.191.25516,382
24089.59.192.0/1889.59.192.1 to 89.59.255.25489.59.255.25516,382
24189.60.0.0/1889.60.0.1 to 89.60.63.25489.60.63.25516,382
24289.60.64.0/1889.60.64.1 to 89.60.127.25489.60.127.25516,382
24389.60.128.0/1889.60.128.1 to 89.60.191.25489.60.191.25516,382
24489.60.192.0/1889.60.192.1 to 89.60.255.25489.60.255.25516,382
24589.61.0.0/1889.61.0.1 to 89.61.63.25489.61.63.25516,382
24689.61.64.0/1889.61.64.1 to 89.61.127.25489.61.127.25516,382
24789.61.128.0/1889.61.128.1 to 89.61.191.25489.61.191.25516,382
24889.61.192.0/1889.61.192.1 to 89.61.255.25489.61.255.25516,382
24989.62.0.0/1889.62.0.1 to 89.62.63.25489.62.63.25516,382
25089.62.64.0/1889.62.64.1 to 89.62.127.25489.62.127.25516,382
25189.62.128.0/1889.62.128.1 to 89.62.191.25489.62.191.25516,382
25289.62.192.0/1889.62.192.1 to 89.62.255.25489.62.255.25516,382
25389.63.0.0/1889.63.0.1 to 89.63.63.25489.63.63.25516,382
25489.63.64.0/1889.63.64.1 to 89.63.127.25489.63.127.25516,382
25589.63.128.0/1889.63.128.1 to 89.63.191.25489.63.191.25516,382
25689.63.192.0/1889.63.192.1 to 89.63.255.25489.63.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses